<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified"
  targetNamespace="">
  <xsd:element name="library">
    <xsd:complexType mixed="true">
      <xsd:sequence>
        <xsd:element minOccurs="0" name="libraryName" type="xsd:string" />
        <xsd:element minOccurs="0" name="libraryID" type="xsd:int" />
        <xsd:element minOccurs="0" name="readerList">
          <xsd:complexType mixed="true">
            <xsd:sequence>
              <xsd:element maxOccurs="unbounded" name="person">
                <xsd:complexType mixed="true">
                  <xsd:sequence>
                    <xsd:element minOccurs="0" name="readerID" type="xsd:int" />
                    <xsd:element minOccurs="0" name="name" type="xsd:normalizedString" />
                    <xsd:element minOccurs="0" name="surname" type="xsd:normalizedString" />
                  </xsd:sequence>
                </xsd:complexType>
              </xsd:element>
            </xsd:sequence>
          </xsd:complexType>
        </xsd:element>
        <xsd:element minOccurs="0" name="bookList">
          <xsd:complexType mixed="true">
            <xsd:sequence>
              <xsd:element maxOccurs="unbounded" name="book">
                <xsd:complexType mixed="true">
                  <xsd:sequence>
                    <xsd:element minOccurs="0" name="bookID" type="xsd:int" />
                    <xsd:element minOccurs="0" name="title" type="xsd:string" />
                    <xsd:element minOccurs="0" name="readerID" type="xsd:int" />
                  </xsd:sequence>
                </xsd:complexType>
              </xsd:element>
            </xsd:sequence>
          </xsd:complexType>
        </xsd:element>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>
</xsd:schema>